#
# spec file for package python-traceback2
#
# Copyright (c) 2015 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-traceback2
Version:        1.4.0
Release:        2.1
Summary:        Backports of the traceback module
# This is a backport of code taken from the Python codebase, 
# and such is under the same license as Python as a whole.
License:        Python-2.0
Group:          Development/Languages/Python
Url:            https://github.com/bitprophet/traceback2
Source:         https://pypi.python.org/packages/source/t/traceback2/traceback2-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-setuptools
BuildRequires:  python-pbr
Requires:       python-pbr
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} &&  0%{?suse_version} > 1110
BuildArch:      noarch
%endif

%description
A backport of traceback to older supported Pythons.

%prep
%setup -q -n traceback2-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --optimize=2 --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc README.rst AUTHORS ChangeLog
# Contains the license
%doc setup.cfg
%{python_sitelib}/*

%changelog
* Wed Oct 14 2015 toddrme2178@gmail.com
- Add license explanation.
* Tue Oct 13 2015 toddrme2178@gmail.com
- Fix license.  Should be Python-2.0
* Mon Oct 12 2015 toddrme2178@gmail.com
- Initial python 2 version
* Sat Mar 14 2015 arun@gmx.de
- initial version
